{
  pkgs,
  inputs,
  user,
  ...
}:
{
  imports = [ inputs.home-manager.nixosModules.home-manager ];
  home-manager = {
    useUserPackages = true;
    useGlobalPkgs = true;
    extraSpecialArgs = {
      inherit pkgs inputs user;
    };
    users.${user} =
      { pkgs, ... }:
      {
        imports = [
          inputs.sops-nix.homeManagerModules.sops
          ./sops
          ./editor/neovim
          ./programs/firefox
          ./programs/tmux
          ./programs/dunst
          ./programs/kitty
          ./programs/rofi
          ./programs/obs-studio
          ./programs/vscode
          ./programs/pywal
          ./scripts
          ./scripts/batlvl.nix
          ./zsh
          ./packages
          ./hyprland/magicman.nix
          ./ssh
        ];
        firefox.enable = true;
        tmux.enable = true;
        hyprland.enable = true;
        home = {
          username = "${user}";
          homeDirectory = "/home/${user}";
          stateVersion = "23.11";
        };
        programs.home-manager.enable = true;
      };
  };
}
