{ pkgs, ... }:
{
  home.packages = [
    (pkgs.python3Packages.buildPythonApplication rec {
      pname = "tacl";
      version = "3.8.3";
      pyproject = true;

      src = pkgs.fetchFromGitHub {
        owner = "unioslo";
        repo = "tsd-api-client";
        rev = "v${version}";
        sha256 = "sha256-wIzCwIbptCsLbms8My57jT4t6wlMjcO9KXi0DZFb3X8=";
      };

      build-system = with pkgs.python3Packages; [
        poetry-core
        poetry-dynamic-versioning
      ];
      dependencies = with pkgs.python3Packages; [
        pyyaml
        click
        humanfriendly
        libnacl
        requests
        rich
      ];
    })
  ];
}
