{ pkgs, lib, ... }:
{
  programs.vscode = {
    enable = true;
    profiles.default = {
      enableUpdateCheck = true;
      enableExtensionUpdateCheck = true;
      userSettings = {
        "window.titleBarStyle" = "custom";
        "rust-analyzer.testExplorer" = true;
        "rust-analyzer.restartServerOnConfigChange" = true;
        "direnv.restart.automatic" = true;
      };
      extensions = with pkgs.vscode-extensions; [
        catppuccin.catppuccin-vsc
        catppuccin.catppuccin-vsc-icons
        github.copilot
        github.copilot-chat
        golang.go
        vscodevim.vim
        ms-python.python
        ms-vscode-remote.remote-ssh
        bbenoist.nix
        mkhl.direnv
        rust-lang.rust-analyzer
      ];
    };
  };
}
