{ pkgs, config, ... }:
{
  sops.secrets."nats_nkey" = { };
  systemd.user.services.natstonotify = {
    Unit = {
      Description = "Run natstonotify";
      After = [ "sops-nix.service" ];
    };
    Service = {
      Environment = [
        "NATS_URL=nats://nats1.home.2rjus.net:4222"
        "NATS_NKEY_FILE=${config.sops.secrets.nats_nkey.path}"
      ];
      Type = "simple";
      ExecStart = "${pkgs.natstonotify}/bin/natstonotify server";
    };
    Install = {
      WantedBy = [ "graphical-session.target" ];
    };
  };
}
