{ pkgs, ... }:
{
  environment.systemPackages = with pkgs; [ nfs-utils ];
  services.rpcbind.enable = true;
  systemd.mounts = [
    {
      type = "nfs";
      mountConfig = {
        Options = "rw,soft,noatime";
      };
      what = "nas.home.2rjus.net:/mnt/hdd-pool/media";
      where = "/mnt/nas/media";
    }
  ];

  systemd.automounts = [
    {
      wantedBy = [ "multi-user.target" ];
      automountConfig = {
        TimeoutIdleSec = "5min";
      };
      where = "/mnt/nas/media";
    }
  ];
}
