{ pkgs, lib, ... }:
{
  services.ollama = {
    enable = true;
    acceleration = "cuda";
  };
  services.open-webui = {
    enable = true;
    package = pkgs.stable.open-webui;
    # enable = lib.warn "Open WebUI is disabled" false;
    environment = {
      VECTOR_DB = "pgvector";
      PGVECTOR_DB_URL = "postgresql://openwebui:openwebui@pgdb1.home.2rjus.net:5432/openwebui";
      DO_NOT_TRACK = "True";
      SCARF_NO_ANALYTICS = "True";
      OLLAMA_API_BASE_URL = "http://127.0.0.1:11434";
      WEBUI_AUTH = "False";
    };
    port = 11444;
  };

  # Ensure networking is ok before starting
  systemd.services.open-webui.after = [ "network-online.target" ];
  systemd.services.open-webui.wants = [ "network-online.target" ];
}
