{ pkgs, ... }:
{
  environment.shells = with pkgs; [ zsh ];

  services.xserver.desktopManager.xfce.enable = true;
  programs.steam.enable = true;
  programs.gamemode.enable = true;
  services.flatpak.enable = true;

  users.users.steam = {
    isNormalUser = true;
    initialPassword = "steam";
    home = "/home/steam";
    description = "Steam user";
    shell = pkgs.zsh;
    # Install some user packages
    packages = with pkgs; [
      firefox
      mumble
      easyeffects
    ];
  };
}
