{
  lib,
  buildGoModule,
  fetchFromGitHub,
  installShellFiles,
}:

buildGoModule rec {
  pname = "openpomodoro-cli";
  version = "0.3.0";

  src = fetchFromGitHub {
    owner = "open-pomodoro";
    repo = "openpomodoro-cli";
    rev = "v${version}";
    hash = "sha256-h/o4yxrZ8ViHhN2JS0ZJMfvcJBPCsyZ9ZQw9OmKnOfY=";
  };

  vendorHash = "sha256-BR9d/PMQ1ZUYWSDO5ID2bkTN+A+VbaLTlz5t0vbkO60=";

  ldflags = [
    "-s"
    "-w"
  ];

  GOWORK = "off";

  subPackages = [ "cmd/pomodoro" ];

  nativeBuildInputs = [ installShellFiles ];

  # postInstall = ''
  #   installShellCompletion --cmd talosctl \
  #     --bash <($out/bin/talosctl completion bash) \
  #     --fish <($out/bin/talosctl completion fish) \
  #     --zsh <($out/bin/talosctl completion zsh)
  # '';

  doCheck = false; # no tests

  meta = with lib; {
    description = "A command-line Pomodoro tracker which uses the Open Pomodoro Format";
    mainProgram = "pomodoro";
    homepage = "https://github.com/open-pomodoro/openpomodoro-cli";
    license = licenses.mit;
    # maintainers = with maintainers; [ flokli ];
  };
}
