{ pkgs, ... }:

{
  programs.zsh.enable = true;
  environment.shells = with pkgs; [ zsh ];
  programs.adb.enable = true;

  # Setup torjus user
  users.users.torjus = {
    isNormalUser = true;
    initialPassword = "password";
    linger = true;
    home = "/home/torjus";
    description = "Torjus";
    shell = pkgs.zsh;
    extraGroups = [
      "wheel"
      "input"
      "networkmanager"
      "video"
      "gamemode"
      "libvirtd"
      "podman"
      "adbusers"
    ];
    # Install some user packages
    packages = with pkgs; [ ];
  };
}
